com.ibm.openpages.api.respview

## Enum RespViewType

- java.lang.Object
- - java.lang.Enum<RespViewType>
  - - com.ibm.openpages.api.respview.RespViewType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RespViewType>

      public enum RespViewType
      extends java.lang.Enum<RespViewType>

  Represents the type of the responsive view

  Since:
    8.0.0.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Admin` Represents the Admin view
    `Creation` Represents the creation responsive view
    `Dashboard` Represents the Dashboard view
    `Grid` Represents the Grid responsive view
    `Task` Represents the task responsive view

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RespViewType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RespViewType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Task

          public static final RespViewType Task

      Represents the task responsive view

    - #### Creation

          public static final RespViewType Creation

      Represents the creation responsive view

    - #### Grid

          public static final RespViewType Grid

      Represents the Grid responsive view

    - #### Dashboard

          public static final RespViewType Dashboard

      Represents the Dashboard view
      Since:
        8.1

    - #### Admin

          public static final RespViewType Admin

      Represents the Admin view
      Since:
        8.3

  - ### Method Detail

    - #### values

          public static RespViewType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RespViewType c : RespViewType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RespViewType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.